package adapter_test

import (
	"testing"

	"github.com/ThreeDotsLabs/watermill"
	"github.com/ThreeDotsLabs/watermill/pubsub/gochannel"
)

func newPubSub(tb testing.TB) *gochannel.GoChannel {
	tb.Helper()

	pubSub := gochannel.NewGoChannel(gochannel.Config{Persistent: true}, watermill.NopLogger{})
	tb.Cleanup(func() {
		_ = pubSub.Close()
	})

	return pubSub
}
