package domain

type Unit struct {
	BuildTime      float64
	Pop            int16
	Speed          float64
	Attack         int16
	Defense        int16
	DefenseCavalry int16
	DefenseArcher  int16
	Carry          int16
}

type UnitInfo struct {
	Spear    Unit
	Sword    Unit
	Axe      Unit
	Archer   Unit
	Spy      Unit
	Light    Unit
	Marcher  Unit
	Heavy    Unit
	Ram      Unit
	Catapult Unit
	Knight   Unit
	Snob     Unit
	Militia  Unit
}

type NullUnitInfo struct {
	Info  UnitInfo
	Valid bool // Valid is true if Info is not NULL
}
