package internal

import (
	"context"
	"os"
	"os/signal"
	"syscall"
)

func WaitForSignal(ctx context.Context) {
	ctx, stop := signal.NotifyContext(ctx, os.Interrupt, syscall.SIGTERM)
	defer stop()
	<-ctx.Done()
}
