package tw

import (
	"time"
)

type OpponentsDefeated struct {
	RankAtt    int64
	ScoreAtt   int64
	RankDef    int64
	ScoreDef   int64
	RankSup    int64
	ScoreSup   int64
	RankTotal  int64
	ScoreTotal int64
}

type Tribe struct {
	OpponentsDefeated

	ID          int64
	Name        string
	Tag         string
	NumMembers  int64
	NumVillages int64
	Points      int64
	AllPoints   int64
	Rank        int64
	ProfileURL  string
}

type Player struct {
	OpponentsDefeated

	ID          int64
	Name        string
	NumVillages int64
	Points      int64
	Rank        int64
	TribeID     int64
	ProfileURL  string
}

type Village struct {
	ID         int64
	Name       string
	Points     int64
	X          int64
	Y          int64
	Continent  string
	Bonus      int64
	PlayerID   int64
	ProfileURL string
}

type Ennoblement struct {
	VillageID  int64
	NewOwnerID int64
	NewTribeID int64
	OldOwnerID int64
	OldTribeID int64
	Points     int64
	CreatedAt  time.Time
}
